---
title: baseFrequency
slug: Web/SVG/Attribute/baseFrequency
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>baseFrequency</code></strong> attribute represents the base frequency parameter for the noise function of the {{SVGElement("feTurbulence")}} filter primitive.</p>

<p>Only one element is using this attribute: {{SVGElement("feTurbulence")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[3,6]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="noise1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feTurbulence baseFrequency="0.025" /&gt;
  &lt;/filter&gt;
  &lt;filter id="noise2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feTurbulence baseFrequency="0.05" /&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#noise1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#noise2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "220", "220")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><a href="/en-US/docs/Web/SVG/Content_type#Number-optional-number">&lt;number-optional-number&gt;</a></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number-optional-number&gt;</code></dt>
</dl>

<p>If two numbers are provided, the first one represents the base frequency in the horizontal direction and the second one the base frequency in the vertical direction. If one number is provided, then that value is used for both x and y.</p>

<p>Negative values are forbidden.</p>

<h2 id="Example">Example</h2>

<pre class="brush: html; highlight[4]">&lt;svg width="200" height="200" viewBox="0 0 220 220"
     xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="displacementFilter"&gt;
    &lt;feTurbulence type="turbulence" baseFrequency="0.05"
        numOctaves="2" result="turbulence"/&gt;
    &lt;feDisplacementMap in2="turbulence" in="SourceGraphic"
        scale="50" xChannelSelector="R" yChannelSelector="G"/&gt;
  &lt;/filter&gt;

  &lt;circle cx="100" cy="100" r="100"
      style="filter: url(#displacementFilter)"/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("Example", "220", "220")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-feturbulence-basefrequency", "baseFrequency")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feTurbulenceBaseFrequencyAttribute", "baseFrequency")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feTurbulence.baseFrequency")}}</p>
